Package commoble.jumbofurnace.recipes

# Class TagStackIngredient.TagCountValue

java.lang.Object
net.minecraft.world.item.crafting.Ingredient.TagValue
commoble.jumbofurnace.recipes.TagStackIngredient.TagCountValue

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.Ingredient.Value`

Enclosing class:
  TagStackIngredient

public static class TagStackIngredient.TagCountValue extends net.minecraft.world.item.crafting.Ingredient.TagValue

## Constructor Summary

Constructors
Constructor
Description
`TagCountValue(net.minecraft.tags.TagKey<net.minecraft.world.item.Item> tag, int count)`

## Method Summary

Modifier and Type
Method
Description
`int`
`count()`
`Collection<net.minecraft.world.item.ItemStack>`
`getItems()`
`com.google.gson.JsonObject`
`serialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagCountValue

public TagCountValue(net.minecraft.tags.TagKey<net.minecraft.world.item.Item> tag, int count)

## Method Details

### count

public int count()

### getItems

public Collection<net.minecraft.world.item.ItemStack> getItems()

Specified by:
  `getItems` in interface `net.minecraft.world.item.crafting.Ingredient.Value`
Overrides:
  `getItems` in class `net.minecraft.world.item.crafting.Ingredient.TagValue`

### serialize

public com.google.gson.JsonObject serialize()

Specified by:
  `serialize` in interface `net.minecraft.world.item.crafting.Ingredient.Value`
Overrides:
  `serialize` in class `net.minecraft.world.item.crafting.Ingredient.TagValue`